%global namedreltag %{nil}
%global namedversion %{version}%{?namedreltag}

Name:          maven-archetype2
Version:       2.0
Release:       %mkrel 1
Summary:       Maven Archetype
Group:         Development/Java
License:       ASL 2.0
Url:           http://maven.apache.org/archetype/
# svn export http://svn.apache.org/repos/asf/maven/archetype/tags/maven-archetype-2.0
# tar czf maven-archetype-2.0-src-svn.tar.gz maven-archetype-2.0
Source0:       maven-archetype-2.0-src-svn.tar.gz
Source1:       maven-archetype2-2.0-depmap
# missing plexus components.xml
Source2:       maven-archetype2-2.0-common.tar.gz
Source3:       maven-archetype2-2.0-plugin.tar.gz
# build scripts
Source4:       maven-archetype2-2.0-autogeneratedfiles.tar.gz

#Source5:        http://repo1.maven.org/maven2/org/apache/maven/plugins/maven-clean-plugin/2.4.1/maven-clean-plugin-2.4.1.pom.sha1
#Source6:        http://repo1.maven.org/maven2/org/apache/maven/plugins/maven-clean-plugin/2.4.1/maven-clean-plugin-2.4.1.jar.sha1

# org.mortbay.jetty maven-jetty-plugin
Patch0:        maven-archetype-2.0-poms.patch
Patch1:        maven-archetype-2.0-no-plexus-maven-plugin.patch
Patch2:        maven-archetype-2.0-no-archetype-testing.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant-antlr
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-io
BuildRequires: cargo
BuildRequires: dom4j
BuildRequires: easymock
BuildRequires: jchardet
BuildRequires: jdom
BuildRequires: jetty
BuildRequires: junit
BuildRequires: junit4
BuildRequires: maven
BuildRequires: maven2
BuildRequires: maven-antrun-plugin
#BuildRequires: maven-clean-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-docck-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-plugin-plugin
BuildRequires: maven-plugin-testing-harness
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-shared-invoker
BuildRequires: maven-surefire-plugin
BuildRequires: maven-wagon
BuildRequires: maven-war-plugin
BuildRequires: maven-ant-plugin
BuildRequires: modello
BuildRequires: plexus-container-default
BuildRequires: plexus-interactivity
#BuildRequires: plexus-maven-plugin
BuildRequires: plexus-utils
BuildRequires: plexus-velocity
BuildRequires: qdox
BuildRequires: servletapi5
BuildRequires: velocity

Requires:      apache-commons-io
Requires:      geronimo-jta-1.0.1B-api
Requires:      jchardet
Requires:      maven-shared-invoker

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Maven Archetype.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Maven Archetype.

This package contains javadoc for %{name}.

%prep
%setup -q -n maven-archetype-%{namedversion}
%patch0 -p1
%patch1 -p0
%patch2 -p1

iconv -f iso8859-1 -t utf-8 NOTICE.txt > NOTICE.txt.conv && mv -f NOTICE.txt.conv NOTICE.txt
sed -i 's/\r//' NOTICE.txt
# breaks build
rm -rf archetype-common/src/test/java/org/apache/maven/archetype/old/ArchetypeTest.java

# add missing plexus components.xml
tar -xf %{SOURCE2}
tar -xf %{SOURCE3}

# TODO
# mkdir -p archetype-testing/archetype-repository/src/main/resources/org/apache/maven/plugins/maven-clean-plugin/2.4.1/
# rm -rf archetype-testing/archetype-repository/src/main/resources/org/apache/maven/plugins/maven-clean-plugin/2.1.1/
# archetype-testing/archetype-repository/src/main/resources/org/apache/maven/plugins/maven-clean-plugin/2.1.1/maven-clean-plugin-2.1.1.jar
# ln -sf $(build-classpath maven-clean-plugin) archetype-testing/archetype-repository/src/main/resources/org/apache/maven/plugins/maven-clean-plugin/2.4.1/maven-clean-plugin-2.4.1.jar
# ln -sf /usr/share/maven-poms/JPP-maven-clean-plugin.pom archetype-testing/archetype-repository/src/main/resources/org/apache/maven/plugins/maven-clean-plugin/2.4.1/maven-clean-plugin-2.4.1.pom
# cp -pr %{SOURCE5} archetype-testing/archetype-repository/src/main/resources/org/apache/maven/plugins/maven-clean-plugin/2.4.1/
# cp -pr %{SOURCE6} archetype-testing/archetype-repository/src/main/resources/org/apache/maven/plugins/maven-clean-plugin/2.4.1/
# sed -i -e 's,2.1.1,2.4.1,'  archetype-testing/archetype-repository/src/main/resources/org/apache/maven/plugins/maven-clean-plugin/maven-metadata.xml

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
mvn-rpmbuild \
  -e \
  -Dmaven.local.depmap.file=%{SOURCE1} \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  -Dmaven.test.failure.ignore=true \
   ant:ant install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/%{name}

install -m 644 archetype-common/target/archetype-common-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}/common.jar
install -m 644 archetype-packaging/target/archetype-packaging-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}/packaging.jar
install -m 644 maven-archetype-plugin/target/maven-archetype-plugin-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}/plugin.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-archetype.pom
%add_maven_depmap JPP.%{name}-archetype.pom
install -m 644 archetype-common/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-common.pom
%add_maven_depmap JPP.%{name}-common.pom %{name}/common.jar
install -m 644 archetype-packaging/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-packaging.pom
%add_maven_depmap JPP.%{name}-packaging.pom %{name}/packaging.jar
install -m 644 maven-archetype-plugin/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-plugin.pom
%add_maven_depmap JPP.%{name}-plugin.pom %{name}/plugin.jar

#install -m 644 archetype-testing/archetype-proxy/target/archetype-proxy-%{namedversion}.war \
#  %{buildroot}%{_javadir}/%{name}/proxy.war
#install -m 644 archetype-testing/archetype-repository/target/archetype-repository-%{namedversion}.war \
#  %{buildroot}%{_javadir}/%{name}/repository.war
#install -m 644 archetype-testing/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-testing.pom
#add_maven_depmap JPP.%{name}-testing.pom
#install -m 644 archetype-testing/archetype-proxy/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-proxy.pom
#add_maven_depmap JPP.%{name}-proxy.pom %{name}/proxy.war
#install -m 644 archetype-testing/archetype-repository/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-repository.pom
#add_maven_depmap JPP.%{name}-repository.pom %{name}/repository.war

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}/common.jar
%{_javadir}/%{name}/packaging.jar
%{_javadir}/%{name}/plugin.jar
%{_mavenpomdir}/JPP.%{name}-archetype.pom
%{_mavenpomdir}/JPP.%{name}-common.pom
%{_mavenpomdir}/JPP.%{name}-packaging.pom
%{_mavenpomdir}/JPP.%{name}-plugin.pom
#%{_javadir}/%{name}/proxy.war
#%{_javadir}/%{name}/repository.war
#%{_mavenpomdir}/JPP.%{name}-proxy.pom
#%{_mavenpomdir}/JPP.%{name}-repository.pom
#%{_mavenpomdir}/JPP.%{name}-testing.pom
%{_mavendepmapfragdir}/*
%doc NOTICE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Wed Oct 19 2011 gil <gil> 2.0-1.mga2
+ Revision: 156586
- imported package maven-archetype2

